<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Property.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::Property&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a4b9addff7a03a165a5b1871322072ed5">AbstractProperty</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a55fe5ebe73e842f4c1ecd9cdbb2ce6da">AbstractProperty</a>(const std::string &amp;name, const std::string &amp;comment)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a91af17960853259b5ea4a0ce93ad4084">AbstractProperty</a>(const AbstractProperty &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a4966aa856030514c9bd8972459fab29f">AbstractProperty</a>(AbstractProperty &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a7f955ce364fd5c6a031263894a77c6a2">adoptAndAppendValue</a>(T *value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a8cebe3dfc74cb4f1d5158a4feb449e05">appendValue</a>(const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a7f8d2992c9f493380aa3400a6f6ec9a8">appendValue</a>(const T *value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a432c98206f8a695119818f45a0c75204">assign</a>(const AbstractProperty &amp;that)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5ec8c00426c6841139be00515e749713">clear</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac821e78df89632d595e2db657a7986ea">clearValues</a>()=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#aeeca88c50f8115970c150889b1fd1ab3">clone</a>() const override=0</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac27428a81d54724a7ba0c6a3cb187a75">empty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad1343f7d7a5c88d008db435ee44bc869">equals</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ad23afa22d5e9e646e7da341dcee0399b">findIndex</a>(const T &amp;value) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#af4f59bebcc0e0665781b238505312667">findIndexForName</a>(const SimTK::String &amp;name) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ac9729da476501b3fb9cfcdcf16f531e7">getAs</a>(const AbstractProperty &amp;prop)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a862facc6c0b005266819332626dfacc5">getComment</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac8e6da1b1f16d4e9c230487193979298">getMaxListSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5f536d90bb3e5f400e540db08511f096">getMinListSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a8da380c1f75c9f87cfd930e773aed4ad">getName</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a80913f153f09fa3e8a2f62f255a2c659">getNumValues</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a504d2d8a31105c18755a6a12a0ec955a">getTypeName</a>() const override final</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ad655c37b8c73982b61714965285d4ca9">getValue</a>(int index=-1) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aed651c70584d597daa389f197eb5ebd5">getValueAsObject</a>(int index=-1) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ade3bc39f66b759a8a807429161576ad1">getValueIsDefault</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a7a234feb91cb9e416ceaaff20586b17b">isA</a>(const AbstractProperty &amp;prop)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a5d2afdbd068a6c0c8d1d36af0983e933">isAcceptableObjectTag</a>(const std::string &amp;objectTypeTag) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a721847e1d058eecb6b54f6a0afaa6ffd">isEqualTo</a>(const AbstractProperty &amp;other) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a7f70dd571c232d2a9f7ab64406499e88">isListProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a2478982e93cc5ad89e447b03e4aa48a5">isObjectProperty</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae968e7a8df7fbabf28dc6f168d5ca134">isOneObjectProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a1caab24d637ef7f88244c97bb5ce8ffe">isOneValueProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#abc70adbf3a2a0fe683b9ffbdcfc52bfc">isOptionalProperty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a68f4d355d682e7d0cf4ec33e7a3553de">isSamePropertyClass</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad12b01d2c439e87470bd230c1061fab8">isUnnamedProperty</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ace0672f7b1b1864f20f827549904e26a">OpenSim_DECLARE_LIST_PROPERTY</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a04e9ee4d251db381f48929f172bdf214">OpenSim_DECLARE_LIST_PROPERTY_ATLEAST</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a3491426fb9c7078df400aa5b6f81f254">OpenSim_DECLARE_LIST_PROPERTY_ATMOST</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a16288ac5906b92edf9f18f6d1c65bbf5">OpenSim_DECLARE_LIST_PROPERTY_RANGE</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a5f19334ae8d23219043dbc835aede6ff">OpenSim_DECLARE_LIST_PROPERTY_SIZE</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ac2050f2bbad9dde01a8ba58a4099bcc7">OpenSim_DECLARE_OPTIONAL_PROPERTY</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a63b73d3f31b4fabb621028261ef63bd7">OpenSim_DECLARE_PROPERTY</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#abddd12d20ea11b5fbbed0f0115423252">OpenSim_DECLARE_UNNAMED_PROPERTY</a></td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#aa9c23999672ed5ec0d74d140a67e89ea">operator=</a>(const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#af3f1f6ba165cb5bd24cab98a22a8076c">operator=</a>(const Container&lt; T &gt; &amp;valueList)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ae29e9433e3c00ddae30ae629b04fb0a8">operator=</a>(const Property &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a05a9dcdfb4969704946a19931f0bf252">operator=</a>(Property &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a95f151c434d6d0202885da47e9e01031">OpenSim::AbstractProperty::operator=</a>(const AbstractProperty &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a7bcfb772878a7eec22b665707c1cf227">OpenSim::AbstractProperty::operator=</a>(AbstractProperty &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26105c68088639cfac2a55206c6a9e65">operator==</a>(const AbstractProperty &amp;other) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a3d7af7802a58607ab6a41c73e23f916c">operator[]</a>(int i) const</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a567d26efb726367aca90f2534b032352">operator[]</a>(int i)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#aa062d40d7e621c8891e2eefcd9cd6215">Property</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a940f9f9b08ec3835b625a63a2ede3a70">Property</a>(const Property &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ada8afb4114ae6dc828039f9473bf3f6a">Property</a>(Property &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#affa9140e7f33c76fd39546c8899e2f05">readFromXMLElement</a>(SimTK::Xml::Element &amp;propertyElement, int versionNumber)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ae2f988432f0ac82f5e4c787879c16b3e">readFromXMLParentElement</a>(SimTK::Xml::Element &amp;parent, int versionNumber)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a0685f52599efbdd68462babddd4859e4">setAllowableListSize</a>(int aMin, int aMax)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a26c9f2020339f49a08a9a3a3a37adc5f">setAllowableListSize</a>(int aNum)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ab47ef97b89f66793a42c7712275938b5">setAllPropertiesUseDefault</a>(bool shouldUseDefault)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aac1cfb86a10115441ef84be3148c0c7d">setComment</a>(const std::string &amp;aComment)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#af29bdc3ab4adbbfe954aed4a0780bee7">setName</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a3a8b68f9fa4cf67c5b9d681b4499d63e">setValue</a>(int i, const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#aa92e55af5a211a210900438d858a481a">setValue</a>(const T &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a00355490194329012905b3407917fe9e">setValue</a>(const Container&lt; T &gt; &amp;valueList)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ab9a11f2382a5216af4dbe49209e7ccef">setValueAsObject</a>(const Object &amp;obj, int index=-1)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a10ec6fb0a5d6beaef87cf228b34d48cf">setValueIsDefault</a>(bool isDefault)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ad7505a815a881580e46b84c260654a2c">size</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a385fae988f5d035ef20ad80f61c65cc7">toString</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aea10289debd97d3a1087b0ddbd2bbb07">toStringForDisplay</a>(const int precision) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ac416f4ac135fcadc1a35b47b3cd36f0b">updAs</a>(AbstractProperty &amp;prop)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#ae597340fa1da9385439bbebf91a6a92a">updValue</a>(int index=-1)</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#ac66ced70e8820a21c6f0f4c90f155aff">updValueAsObject</a>(int index=-1)=0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aad006b81fe8f3d7c7cc402cc84b17c16">writeToXMLElement</a>(SimTK::Xml::Element &amp;propertyElement) const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#a2d3ebd934bc118f3422ced85b5990f70">writeToXMLParentElement</a>(SimTK::Xml::Element &amp;parent) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html#aab21326774230e4921d6e912bbb1bb71">~AbstractProperty</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractProperty.html">OpenSim::AbstractProperty</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Property.html#a5d9596fe70f1c128d31a4034a27e175c">~Property</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1Property.html">OpenSim::Property&lt; T &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:49 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
